org.springframework.batch.core.configuration.annotation

## Class AbstractBatchConfiguration

- java.lang.Object
- - org.springframework.batch.core.configuration.annotation.AbstractBatchConfiguration

- All Implemented Interfaces:
    org.springframework.beans.factory.Aware, org.springframework.context.annotation.ImportAware
  Direct Known Subclasses:
    ModularBatchConfiguration, SimpleBatchConfiguration

      @Configuration
       @Import(value=org.springframework.batch.core.configuration.annotation.ScopeConfiguration.class)
      public abstract class AbstractBatchConfiguration
      extends java.lang.Object
      implements org.springframework.context.annotation.ImportAware

  Base `Configuration` class providing common structure for enabling and using Spring Batch. Customization is available by implementing the `BatchConfigurer` interface. `BatchConfigurer`.
  Since:
    2.2
  Author:
    Dave Syer, Michael Minella, Mahmoud Ben Hassine
  See Also:
    `EnableBatchProcessing`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractBatchConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected BatchConfigurer` | `getConfigurer(java.util.Collection<BatchConfigurer> configurers)`
    `JobBuilderFactory` | `jobBuilders()`
    `abstract JobExplorer` | `jobExplorer()`
    `abstract JobLauncher` | `jobLauncher()`
    `JobRegistry` | `jobRegistry()`
    `abstract JobRepository` | `jobRepository()`
    `void` | `setImportMetadata(org.springframework.core.type.AnnotationMetadata importMetadata)`
    `StepBuilderFactory` | `stepBuilders()`
    `abstract org.springframework.transaction.PlatformTransactionManager` | `transactionManager()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractBatchConfiguration

          public AbstractBatchConfiguration()

  - ### Method Detail

    - #### jobBuilders

          @Bean
          public JobBuilderFactory jobBuilders()
                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### stepBuilders

          @Bean
          public StepBuilderFactory stepBuilders()
                                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### jobRepository

          @Bean
          public abstract JobRepository jobRepository()
                                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### jobLauncher

          @Bean
          public abstract JobLauncher jobLauncher()
                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### jobExplorer

          @Bean
          public abstract JobExplorer jobExplorer()
                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### jobRegistry

          @Bean
          public JobRegistry jobRegistry()
                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### transactionManager

          @Bean
          public abstract org.springframework.transaction.PlatformTransactionManager transactionManager()
                                                                                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### setImportMetadata

          public void setImportMetadata(org.springframework.core.type.AnnotationMetadata importMetadata)

      Specified by:
        `setImportMetadata` in interface `org.springframework.context.annotation.ImportAware`

    - #### getConfigurer

          protected BatchConfigurer getConfigurer(java.util.Collection<BatchConfigurer> configurers)
                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`